#ifndef NeoPixel_h_loaded
#define NeoPixel_h_loaded

enum NeoPixel_ColorOrder {
  NeoPixel_colorOrder_RGB = 0,
  NeoPixel_colorOrder_GRB = 1,
  NeoPixel_colorOrder_BGR = 2
};

extern void NeoPixel_release();
extern void NeoPixel_create(uint8_t pin, uint8_t numPixels, enum NeoPixel_ColorOrder order);
extern void NeoPixel_set(int pixel, int red, int green, int blue);
extern void NeoPixel_show();
extern int NeoPixel_getBrightness();
extern void NeoPixel_setBrightness(int newBrightness);

#endif
